PayOrc
POS

Get Order

Fetch POS order and transaction details by PayOrc order ID.

Get Order

Retrieve full order and transaction details for a POS order.

Endpoint

MethodURL
GEThttps://api.payorc.com/pos/v1/orders/:order_id

Path parameters

ParameterTypeRequiredDescription
order_idStringYesPayOrc p_order_id

Headers

HeaderTypeRequiredDescription
merchant-keyStringYesPOS Web API key
merchant-secretStringYesPOS Web API secret

Response — Success (200)

{
  "data": {
    "m_order_id": "ORD001",
    "p_order_id": "1000010035",
    "p_request_id": "REQ123456",
    "psp_ref_id": "",
    "transaction_id": "",
    "psp_txn_id": "",
    "transaction_date": "22-07-2026 02:30:00",
    "status": "PENDING",
    "reason": "",
    "currency": "INR",
    "amount": "500.00",
    "amount_captured": "0.00",
    "psp": "MSWIPE",
    "payment_method": "",
    "channel": "POS",
    "channel_id": "",
    "m_customer_id": "",
    "m_payment_token": "",
    "payment_method_data": {
      "scheme": "",
      "card_country": "",
      "card_type": "",
      "masked_pan": ""
    },
    "transaction_history": [],
    "parameters": [],
    "custom_data": []
  },
  "message": "Successfully fetched transaction details",
  "status": "success",
  "code": "00"
}

cURL

curl -X GET "https://api.payorc.com/pos/v1/orders/1000010035" \
  -H "merchant-key: {{posweb-key}}" \
  -H "merchant-secret: {{posweb-secret}}"

On this page